using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace XNATutorial
{
    class CreateGraphicsDevice : Game
    {
        // Globale Variablen
        GraphicsDeviceManager graphics; // Das Rendering-Device

        public CreateGraphicsDevice()
        {
            // Hardware initialisieren
            graphics = new GraphicsDeviceManager(this);
            Window.Title = "XNA-Tutorial - CreateGraphicsDevice";
        }

        protected override void Draw(GameTime gameTime)
        {
            // Backbuffer lschen und gleichzeitig die Zeichenflche blau einfrben
            graphics.GraphicsDevice.Clear(Color.Blue);
            // Weitere Behandlung in der Basisklasse
            base.Draw(gameTime);
        }

        static void Main(string[] args)
        {
            // Objekt erstellen
            CreateGraphicsDevice game = new CreateGraphicsDevice();
            // Spielschleife ausfhren
            game.Run();
        }
    }
}
